Summary:	IBM ThinkPad configuration tools
Name:		tpctl
Version:	4.17
Release:	1
License:	GPL
Group:		Applications
Source0:	http://dl.sourceforge.net/tpctl/%{name}_%{version}.tar.gz
Source1:	http://tpctl.sourceforge.net/PS2-ref.txt
Patch0:		%{name}-makefile.patch
URL:		http://tpctl.sourceforge.net/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
tpctl is a package of IBM ThinkPad configuration tools for Linux.

%prep
%setup -q
%patch0 -p1
install %{SOURCE1} .

%build
%{__make} all \
	CC="%{__cc}" \
	CFLAGS="%{optflags} -I/usr/include/ncurses"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man8
%{__make} install \
	DEST=$RPM_BUILD_ROOT \
	PATH_BIN=%{_bindir}/ \
	PATH_LIB=%{_libdir}/ \
	PATH_MAN=%{_mandir}/ \
	PATH_SBIN=%{_sbindir}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
